# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: model.proto
"""Generated protocol buffer code."""
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()




DESCRIPTOR = _descriptor.FileDescriptor(
  name='model.proto',
  package='',
  syntax='proto3',
  serialized_options=None,
  create_key=_descriptor._internal_create_key,
  serialized_pb=b'\n\x0bmodel.proto\"\x94\x01\n\x08\x46\x65\x61tures\x12\x12\n\nMSSubClass\x18\x01 \x01(\x02\x12\x0f\n\x07LotArea\x18\x02 \x01(\x02\x12\x11\n\tYearBuilt\x18\x03 \x01(\x02\x12\x14\n\x0cTotRmsAbvGrd\x18\x04 \x01(\x02\x12\x12\n\nGarageCars\x18\x05 \x01(\x02\x12\x11\n\tGrLivArea\x18\x06 \x01(\x02\x12\x13\n\x0bOverallQual\x18\x07 \x01(\x02\"\x1f\n\nPrediction\x12\x11\n\tsalePrice\x18\x01 \x01(\x02\"\x89\x02\n\x0eTrainingStatus\x12\x0c\n\x04type\x18\x01 \x01(\t\x12\x13\n\x0bstatus_text\x18\x02 \x01(\t\x12\x34\n\x0eless_is_better\x18\x03 \x01(\x0b\x32\x1c.TrainingStatus.Lessisbetter\x12\x34\n\x0emore_is_better\x18\x04 \x01(\x0b\x32\x1c.TrainingStatus.Moreisbetter\x1a)\n\x0cLessisbetter\x12\x0b\n\x03mse\x18\x01 \x01(\x01\x12\x0c\n\x04rmse\x18\x02 \x01(\x01\x1a=\n\x0cMoreisbetter\x12\x11\n\tr_squared\x18\x01 \x01(\x01\x12\x1a\n\x12\x61\x64justed_r_squared\x18\x02 \x01(\x01\x32\xa2\x01\n\x07Predict\x12,\n\x12predict_sale_price\x12\t.Features\x1a\x0b.Prediction\x12/\n\x11regressor_metrics\x12\t.Features\x1a\x0f.TrainingStatus\x12\x38\n\x14get_metrics_metadata\x12\x0f.TrainingStatus\x1a\x0f.TrainingStatusb\x06proto3'
)




_FEATURES = _descriptor.Descriptor(
  name='Features',
  full_name='Features',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='MSSubClass', full_name='Features.MSSubClass', index=0,
      number=1, type=2, cpp_type=6, label=1,
      has_default_value=False, default_value=float(0),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='LotArea', full_name='Features.LotArea', index=1,
      number=2, type=2, cpp_type=6, label=1,
      has_default_value=False, default_value=float(0),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='YearBuilt', full_name='Features.YearBuilt', index=2,
      number=3, type=2, cpp_type=6, label=1,
      has_default_value=False, default_value=float(0),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='TotRmsAbvGrd', full_name='Features.TotRmsAbvGrd', index=3,
      number=4, type=2, cpp_type=6, label=1,
      has_default_value=False, default_value=float(0),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='GarageCars', full_name='Features.GarageCars', index=4,
      number=5, type=2, cpp_type=6, label=1,
      has_default_value=False, default_value=float(0),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='GrLivArea', full_name='Features.GrLivArea', index=5,
      number=6, type=2, cpp_type=6, label=1,
      has_default_value=False, default_value=float(0),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='OverallQual', full_name='Features.OverallQual', index=6,
      number=7, type=2, cpp_type=6, label=1,
      has_default_value=False, default_value=float(0),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=16,
  serialized_end=164,
)


_PREDICTION = _descriptor.Descriptor(
  name='Prediction',
  full_name='Prediction',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='salePrice', full_name='Prediction.salePrice', index=0,
      number=1, type=2, cpp_type=6, label=1,
      has_default_value=False, default_value=float(0),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=166,
  serialized_end=197,
)


_TRAININGSTATUS_LESSISBETTER = _descriptor.Descriptor(
  name='Lessisbetter',
  full_name='TrainingStatus.Lessisbetter',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='mse', full_name='TrainingStatus.Lessisbetter.mse', index=0,
      number=1, type=1, cpp_type=5, label=1,
      has_default_value=False, default_value=float(0),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='rmse', full_name='TrainingStatus.Lessisbetter.rmse', index=1,
      number=2, type=1, cpp_type=5, label=1,
      has_default_value=False, default_value=float(0),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=361,
  serialized_end=402,
)

_TRAININGSTATUS_MOREISBETTER = _descriptor.Descriptor(
  name='Moreisbetter',
  full_name='TrainingStatus.Moreisbetter',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='r_squared', full_name='TrainingStatus.Moreisbetter.r_squared', index=0,
      number=1, type=1, cpp_type=5, label=1,
      has_default_value=False, default_value=float(0),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='adjusted_r_squared', full_name='TrainingStatus.Moreisbetter.adjusted_r_squared', index=1,
      number=2, type=1, cpp_type=5, label=1,
      has_default_value=False, default_value=float(0),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=404,
  serialized_end=465,
)

_TRAININGSTATUS = _descriptor.Descriptor(
  name='TrainingStatus',
  full_name='TrainingStatus',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='type', full_name='TrainingStatus.type', index=0,
      number=1, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='status_text', full_name='TrainingStatus.status_text', index=1,
      number=2, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='less_is_better', full_name='TrainingStatus.less_is_better', index=2,
      number=3, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='more_is_better', full_name='TrainingStatus.more_is_better', index=3,
      number=4, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[_TRAININGSTATUS_LESSISBETTER, _TRAININGSTATUS_MOREISBETTER, ],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=200,
  serialized_end=465,
)

_TRAININGSTATUS_LESSISBETTER.containing_type = _TRAININGSTATUS
_TRAININGSTATUS_MOREISBETTER.containing_type = _TRAININGSTATUS
_TRAININGSTATUS.fields_by_name['less_is_better'].message_type = _TRAININGSTATUS_LESSISBETTER
_TRAININGSTATUS.fields_by_name['more_is_better'].message_type = _TRAININGSTATUS_MOREISBETTER
DESCRIPTOR.message_types_by_name['Features'] = _FEATURES
DESCRIPTOR.message_types_by_name['Prediction'] = _PREDICTION
DESCRIPTOR.message_types_by_name['TrainingStatus'] = _TRAININGSTATUS
_sym_db.RegisterFileDescriptor(DESCRIPTOR)

Features = _reflection.GeneratedProtocolMessageType('Features', (_message.Message,), {
  'DESCRIPTOR' : _FEATURES,
  '__module__' : 'model_pb2'
  # @@protoc_insertion_point(class_scope:Features)
  })
_sym_db.RegisterMessage(Features)

Prediction = _reflection.GeneratedProtocolMessageType('Prediction', (_message.Message,), {
  'DESCRIPTOR' : _PREDICTION,
  '__module__' : 'model_pb2'
  # @@protoc_insertion_point(class_scope:Prediction)
  })
_sym_db.RegisterMessage(Prediction)

TrainingStatus = _reflection.GeneratedProtocolMessageType('TrainingStatus', (_message.Message,), {

  'Lessisbetter' : _reflection.GeneratedProtocolMessageType('Lessisbetter', (_message.Message,), {
    'DESCRIPTOR' : _TRAININGSTATUS_LESSISBETTER,
    '__module__' : 'model_pb2'
    # @@protoc_insertion_point(class_scope:TrainingStatus.Lessisbetter)
    })
  ,

  'Moreisbetter' : _reflection.GeneratedProtocolMessageType('Moreisbetter', (_message.Message,), {
    'DESCRIPTOR' : _TRAININGSTATUS_MOREISBETTER,
    '__module__' : 'model_pb2'
    # @@protoc_insertion_point(class_scope:TrainingStatus.Moreisbetter)
    })
  ,
  'DESCRIPTOR' : _TRAININGSTATUS,
  '__module__' : 'model_pb2'
  # @@protoc_insertion_point(class_scope:TrainingStatus)
  })
_sym_db.RegisterMessage(TrainingStatus)
_sym_db.RegisterMessage(TrainingStatus.Lessisbetter)
_sym_db.RegisterMessage(TrainingStatus.Moreisbetter)



_PREDICT = _descriptor.ServiceDescriptor(
  name='Predict',
  full_name='Predict',
  file=DESCRIPTOR,
  index=0,
  serialized_options=None,
  create_key=_descriptor._internal_create_key,
  serialized_start=468,
  serialized_end=630,
  methods=[
  _descriptor.MethodDescriptor(
    name='predict_sale_price',
    full_name='Predict.predict_sale_price',
    index=0,
    containing_service=None,
    input_type=_FEATURES,
    output_type=_PREDICTION,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='regressor_metrics',
    full_name='Predict.regressor_metrics',
    index=1,
    containing_service=None,
    input_type=_FEATURES,
    output_type=_TRAININGSTATUS,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='get_metrics_metadata',
    full_name='Predict.get_metrics_metadata',
    index=2,
    containing_service=None,
    input_type=_TRAININGSTATUS,
    output_type=_TRAININGSTATUS,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
])
_sym_db.RegisterServiceDescriptor(_PREDICT)

DESCRIPTOR.services_by_name['Predict'] = _PREDICT

# @@protoc_insertion_point(module_scope)
